<?php
/**
 * Template Name: Custom Home
 */

get_header(); ?>

<main id="skip-content" role="main">

	<?php do_action( 'nail_salon_above_slider' ); ?>

	<?php if( get_theme_mod('nail_salon_slider_hide_show') != ''){ ?>
		<section id="slider">
			<div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
			    <?php $nail_salon_slider_pages = array();
			    for ( $count = 1; $count <= 4; $count++ ) {
			        $mod = intval( get_theme_mod( 'nail_salon_slider'. $count ));
			        if ( 'page-none-selected' != $mod ) {
			          $nail_salon_slider_pages[] = $mod;
			        }
			    }
		      	if( !empty($nail_salon_slider_pages) ) :
			        $args = array(
			          	'post_type' => 'page',
			          	'post__in' => $nail_salon_slider_pages,
			          	'orderby' => 'post__in'
			        );
		        	$query = new WP_Query( $args );
		        if ( $query->have_posts() ) :
		          	$i = 1;
		    	?>     
				    <div class="carousel-inner" role="listbox">
				      	<?php  while ( $query->have_posts() ) : $query->the_post(); ?>
					        <div <?php if($i == 1){echo 'class="carousel-item fade-in-image active"';} else{ echo 'class="carousel-item fade-in-image"';}?>>
					        	<div class="sliderimg">
		            				<?php if(has_post_thumbnail()) {?>
		            					<img src="<?php esc_url(the_post_thumbnail_url('full')); ?>" alt="<?php the_title_attribute(); ?> "/>
		            				<?php } else {?>
		            					<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/slider.png" alt="<?php the_title_attribute(); ?> "/>
		            				<?php }?>
		            				<div class="slider-overlay"></div>
							    </div>
			        			<div class="carousel-caption">
						            <div class="inner-carousel">
						              	<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
						              	<p class="mb-0"><?php $nail_salon_excerpt = get_the_excerpt(); echo esc_html( nail_salon_string_limit_words( $nail_salon_excerpt,15 ) ); ?></p>
						              	<a href="<?php the_permalink(); ?>" class="read-btn"><span><?php echo esc_html('READ MORE','nail-salon'); ?></span><span class="screen-reader-text"><?php echo esc_html('READ MORE','nail-salon'); ?></span></a>
				            		</div>
				            	</div>
					        </div>
				      	<?php $i++; endwhile; 
				      	wp_reset_postdata();?>
				    </div>
			    <?php else : ?>
			    	<div class="no-postfound"></div>
	      		<?php endif;
			    endif;?>
			    <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
			      	<span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-angle-left"></i></span>
			      	<span class="screen-reader-text"><?php esc_html_e( 'Prev','nail-salon' );?></span>
			    </a>
			    <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
			      	<span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-angle-right"></i></span>
			      	<span class="screen-reader-text"><?php esc_html_e( 'Next','nail-salon' );?></span>
			    </a>
			</div>
		  	<div class="clearfix"></div>
		</section>
	<?php }?>
	
	<?php do_action('nail_salon_below_slider'); ?>

	<?php if(get_theme_mod('nail_salon_service_category') != ''){ ?>
		<section id="service-section">
			<div class="container">
				<div class="service-content">
					<?php $nail_salon_catData1 =  get_theme_mod('nail_salon_service_category');
					if($nail_salon_catData1){ 
						$args = array(
							'post_type' => 'post',
							'category_name' => esc_html($nail_salon_catData1 ,'nail-salon'),
							'posts_per_page' => get_theme_mod('nail_salon_service_number',4)
				        ); 
				        $i=1; ?>
				        <div class="row m-0">
			        		<?php $query = new WP_Query( $args );
				          	if ( $query->have_posts() ) :
				        		while( $query->have_posts() ) : $query->the_post(); ?>
				          			<div class="col-lg-3 col-md-6 align-self-center">
				          				<div class="service-box text-center">
					          				<div class="service-icon">
		          								<i class="<?php echo esc_attr(get_theme_mod('nail_salon_service_icon' . $i, 'fas fa-hand-paper')); ?>"></i>
		          							</div>
					          				<div class="service-content">
					            				<h3><a href="<?php the_permalink(); ?>" class="feature-title"><?php the_title(); ?></a></h3>
					            				<p class="mb-0"><?php $nail_salon_excerpt = get_the_excerpt(); echo esc_html( nail_salon_string_limit_words( $nail_salon_excerpt,12 ) ); ?></p>
					            			</div>
					            		</div>
								    </div>
				          		<?php $i++; endwhile; 
				          		wp_reset_postdata(); ?>
				          	<?php else : ?>
				              	<div class="no-postfound"></div>
				            <?php endif; ?>
		          		</div>
		      		<?php }?>
		      	</div>
			</div>
		</section>
	<?php }?>
	
	<?php do_action('nail_salon_below_service'); ?>

	<section id="about-section" class="py-5">
		<div class="container">
			<?php $nail_salon_about_page = array();
	      	$mod = intval( get_theme_mod( 'nail_salon_about_page'));
	     	if ( 'page-none-selected' != $mod ) {
	        	$nail_salon_about_page[] = $mod;
	      	}
	    	if( !empty($nail_salon_about_page) ) :
	      	$args = array(
	        	'post_type' => 'page',
	        	'post__in' => $nail_salon_about_page,
	        	'orderby' => 'post__in'
	      	);
	      	$query = new WP_Query( $args );
	     	if ( $query->have_posts() ) :
		        while ( $query->have_posts() ) : $query->the_post(); ?> 
		        	<div class="row ">  
						<div class="<?php if(has_post_thumbnail()) { ?>col-lg-6 col-md-6 <?php } else {?> col-lg-12 col-md-12 <?php }?> align-self-center">
							<div class="about-content">
						      	<h4><?php the_title();?></h4>
						      	<p><?php $nail_salon_excerpt = get_the_excerpt(); echo esc_html( nail_salon_string_limit_words( $nail_salon_excerpt,25 ) ); ?></p>
						      	<div class="about-list">
				                    <?php $nail_salon_noof_list = get_theme_mod('nail_salon_noof_list',2);
				                    for ($i=1; $i <= $nail_salon_noof_list; $i++) { ?>
				                    	<?php if (get_theme_mod('nail_salon_about_list_text'.$i) != ''){?>
				                      		<p class="list mb-3"><span class="mr-3"><?php echo esc_html($i); ?></span><?php echo esc_html(get_theme_mod('nail_salon_about_list_text'.$i));?></p>
				                      	<?php }?>
				                    <?php }?>
			                  	</div>
			                  	<?php if(get_theme_mod('nail_salon_about_button_url') != '' || get_theme_mod('nail_salon_about_button_text') != ''){?>
							      	<div class="about-btn">
					            		<a href="<?php echo esc_url(get_theme_mod('nail_salon_about_button_url')); ?>"><?php echo esc_html(get_theme_mod('nail_salon_about_button_text')); ?><span class="screen-reader-text"><?php echo esc_html(get_theme_mod('nail_salon_about_button_text')); ?></span></a>
							       	</div>
						       <?php }?>
					       	</div>
					    </div> 
		        		<?php if(has_post_thumbnail()) { ?>	
			          		<div class="col-lg-6 col-md-6 align-self-center">
								<div class="about-img position-relative">
									<?php the_post_thumbnail(); ?>
								</div>
							</div>
						<?php }?> 
		          	</div>
		        <?php endwhile; 
		        wp_reset_postdata();?>
	      	<?php else : ?>
	          	<div class="no-postfound"></div>
	      	<?php endif;
	    	endif;?>
		</div>
	</section>

	<?php do_action('nail_salon_below_service_section'); ?>

	<div class="container">
	  	<?php while ( have_posts() ) : the_post(); ?>
	  		<div class="lz-content">
	        	<?php the_content(); ?>
	        </div>
	    <?php endwhile; // end of the loop. ?>
	</div>
</main>

<?php get_footer(); ?>